# auto_ptr.h File Reference

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file auto_ptr.h.

Go to the source code of this file.

## Namespaces

- namespace std

## Classes

- class std::auto_ptr< _Tp >
    A simple smart pointer providing strict ownership semantics. More...
- class std::auto_ptr< void >
- struct std::auto_ptr_ref< _Tp1 >

## Defines

- #define _STL_AUTO_PTR_H

## Variables

- std::auto_ptr< void > std::_GLIBCXX_DEPRECATED_ATTR
- std::auto_ptr std::_GLIBCXX_DEPRECATED_ATTR
- std::auto_ptr_ref std::_GLIBCXX_DEPRECATED_ATTR